/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strncmp.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <marvin@42.fr>                       +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/04/05 13:04:21 by tmaze             #+#    #+#             */
/*   Updated: 2018/04/05 13:15:51 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

int	ft_strncmp(const char *s1, const char *s2, size_t n)
{
	int i;
	int diff;

	i = 1;
	diff = s1[0] - s2[0];
	while ((unsigned int)i < n && diff == 0 && s1[i - 1] && s2[i - 1])
	{
		diff = s1[i] - s2[i];
		i++;
	}
	return (diff);
}
